using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.Rendering;


public sealed class WeatherResources : ScriptableObject
{
    public Texture2D[] ripples;

    public WeatherResources StrippableClone()
    {
        WeatherResources clone = CreateInstance<WeatherResources>();
        clone.ripples = (Texture2D[])ripples.Clone();
        return clone;
    }
}